Subject: [bug#37693] Seahorse build

From: Miguel <[email-masked]>
Date: Mon, 21 Oct 2019 18:59:39 +0200

Hi,

El 21 oct. 2019 18:22, Leo Prikler <[email-masked]> escribió:
>
> Am Montag, den 21.10.2019, 17:25 +0200 schrieb Miguel Arruga Vivas: 
>>> > > > > @@ -2244,8 +2248,10 @@ engineering.") 
> > > > >      (native-inputs 
> > > > >       `(("intltool" ,intltool) 
> > > > >         ("glib:bin" ,glib "bin") 
> > > > > +       ("gtk+:bin" ,gtk+ "bin") 
> > > > >         ("itstool" ,itstool) 
> > > > >         ("pkg-config" ,pkg-config) 
> > > > > +       ("vala" ,vala) 
> > > > 
> > > > Likewise, these changes were necessary, right? 
> > > 
> > > Indeed. After changing the build system, I've repeatedly run "guix 
> > > build seahorse" and added the inputs that the build system 
> > > complained 
> > > about until the build succeeded. ("gtk+:bin" is necessary due to 
> > > the 
> > > icon cache IIRC). 
> > 
> > I've solved this modifying the %standard-phases, as in other packages 
> > from gnome. 
> I'm not sure, whether that is the right approach. Seahorse used glib- 
> or-gtk-build-system before, so I would assume the generation of those 
> caches is expected. 

The icon.cache is generated later by a profile hook, as it must include all icons from the user-installed packages and not only seahorse ones. That's the reason behind its removal during installation phase.

> > I don't have the last one because it is fixed with 3.30.1.1.  Also, I 
> > have an extra python that could be a leftover. 
> Would you mind checking, whether your patch works with gtk+:bin added 
> and without python? If so, I'd find it preferable to mine. 

I cannot test the python removal right now, but I'll answer as soon I can build it.

Best regards,
Miguel